org.ejtools.servlet.http.jsp.tagext
Class RequestParameterTag

java.lang.Object
  |
  +--javax.servlet.jsp.tagext.TagSupport
        |
        +--org.ejtools.servlet.http.jsp.tagext.RequestParameterTag
All Implemented Interfaces:
javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class RequestParameterTag
extends javax.servlet.jsp.tagext.TagSupport

Tag that put a request parameter in the page context

The request parameter is put in the context with :

Version:
$Revision: 1.4 $
Author:
Laurent Etiemble
See Also:
Serialized Form

Field Summary
protected  java.lang.String id
          Id property of the tag
protected  java.lang.String name
          Name property of the tag
protected  java.lang.String type
          Type property of the tag
protected  java.lang.String value
          Value property of the tag
 
Fields inherited from class javax.servlet.jsp.tagext.TagSupport
pageContext
 
Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
EVAL_BODY_AGAIN
 
Fields inherited from interface javax.servlet.jsp.tagext.Tag
EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE
 
Constructor Summary
RequestParameterTag()
           
 
Method Summary
protected  java.lang.Object convert(java.lang.String s, java.lang.String type)
          Used to transform a string into a type object
 int doStartTag()
          Executed when the start tag is encountered
 java.lang.String getId()
          Gets the id value of this tag
 java.lang.String getName()
          Gets the name value of this tag
 java.lang.String getType()
          Gets the type value of this tag
 java.lang.String getValue()
          Gets the value value of this tag
 void release()
          Release all allocated resources.
 void setId(java.lang.String id)
          Sets the id value of this tag
 void setName(java.lang.String name)
          Sets the name value of this tag
 void setType(java.lang.String type)
          Sets the type value of this tag
 void setValue(java.lang.String value)
          Sets the value value of this tag
 
Methods inherited from class javax.servlet.jsp.tagext.TagSupport
doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

id

protected java.lang.String id
Id property of the tag


name

protected java.lang.String name
Name property of the tag


type

protected java.lang.String type
Type property of the tag


value

protected java.lang.String value
Value property of the tag

Constructor Detail

RequestParameterTag

public RequestParameterTag()
Method Detail

doStartTag

public int doStartTag()
               throws javax.servlet.jsp.JspException
Executed when the start tag is encountered

Specified by:
doStartTag in interface javax.servlet.jsp.tagext.Tag
Overrides:
doStartTag in class javax.servlet.jsp.tagext.TagSupport
Returns:
An int value to resume or not the processing
Throws:
javax.servlet.jsp.JspException - In case of problem

getId

public java.lang.String getId()
Gets the id value of this tag

Overrides:
getId in class javax.servlet.jsp.tagext.TagSupport
Returns:
The id value

getName

public java.lang.String getName()
Gets the name value of this tag

Returns:
The name value

getType

public java.lang.String getType()
Gets the type value of this tag

Returns:
The type value

getValue

public java.lang.String getValue()
Gets the value value of this tag

Returns:
The value value

release

public void release()
Release all allocated resources.

Specified by:
release in interface javax.servlet.jsp.tagext.Tag
Overrides:
release in class javax.servlet.jsp.tagext.TagSupport

setId

public void setId(java.lang.String id)
Sets the id value of this tag

Overrides:
setId in class javax.servlet.jsp.tagext.TagSupport
Parameters:
id - The new id value

setName

public void setName(java.lang.String name)
Sets the name value of this tag

Parameters:
name - The new name value

setType

public void setType(java.lang.String type)
Sets the type value of this tag

Parameters:
type - The new type value

setValue

public void setValue(java.lang.String value)
Sets the value value of this tag

Parameters:
value - The new value value

convert

protected java.lang.Object convert(java.lang.String s,
                                   java.lang.String type)
Used to transform a string into a type object

Parameters:
s - The string representation of the object
type - The type of the object
Returns:
A type object


Copyright © 2002-2003 EJTools Org.. All Rights Reserved.